
QGIS Application - Bug report #19645

QGIS Crash - Shapefile -> Symbology -> FillColor

2018-08-19 05:36 PM - Daniel Schüller

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 27472

Description

User Feedback

Shapefile -> Symbology -> FillColor

Report Details

Crash ID: d907af0b7e21ceb64fb5ac4651c8fe9229eb38dd

Stack Trace

QgsExpressionBuilderWidget::updateFunctionTree :

QgsExpressionBuilderWidget::QgsExpressionBuilderWidget :

QgsExpressionBuilderDialog::setGeomCalculator :

QgsExpressionBuilderDialog::QgsExpressionBuilderDialog :

QgsPropertyOverrideButton::showExpressionDialog :

QgsPropertyOverrideButton::menuActionTriggered :

QMetaObject::activate :

QMenu::~QMenu :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QToolButton::paintEvent :

QToolButton::showMenu :

QToolButton::~QToolButton :
QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::mousePressEvent :

QToolButton::mousePressEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::showLayerProperties :

QgisApp::layerTreeViewDoubleClicked :

QMetaObject::activate :

QAbstractItemView::doubleClicked :

QTreeView::mouseDoubleClickEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4
System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-08-20 12:12 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you reproduce on 3.2.2? Do you have any 3rd party plugins or python based expression functions installed?

#2 - 2018-08-25 03:24 PM - Daniel Schüller

Nyall Dawson wrote:

Can you reproduce on 3.2.2? Do you have any 3rd party plugins or python based expression functions installed?

Yes, I reproduced it on 3.2.2. After that, I deleted my QGIS3 Profile and now it is working again.

#3 - 2018-08-25 05:19 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Reopen if it happens again with no 3rd party plugins or legacy configs.
